aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/embedded_scripts8
-rwxr-xr-xscripts/gen_build_files.sh2
2 files changed, 9 insertions, 1 deletions
diff --git a/scripts/embedded_scripts b/scripts/embedded_scripts
index 86ad44d1d..aa7bf3e8a 100755
--- a/scripts/embedded_scripts
+++ b/scripts/embedded_scripts
@@ -1,5 +1,7 @@
#!/bin/sh
+. ./.config || exit 1
+
target="$1"
custom_loc="$2"
applet_loc="$3"
@@ -8,6 +10,12 @@ test "$target" || exit 1
test "$SED" || SED=sed
test "$DD" || DD=dd
+if [ x"$CONFIG_FEATURE_SH_EMBEDDED_SCRIPTS" != x"y" ]
+then
+ printf '#define NUM_SCRIPTS 0\n' >"$target"
+ exit 0
+fi
+
# Some people were bitten by their system lacking a (proper) od
od -v -b </dev/null >/dev/null
if test $? != 0; then
diff --git a/scripts/gen_build_files.sh b/scripts/gen_build_files.sh
index 362632df3..92de681ac 100755
--- a/scripts/gen_build_files.sh
+++ b/scripts/gen_build_files.sh
@@ -25,7 +25,7 @@ custom_scripts()
then
for i in $(cd "$custom_loc"; ls * 2>/dev/null)
do
- printf "APPLET_SCRIPTED(%s, scripted, BB_DIR_USR_BIN, BB_SUID_DROP, scripted)\n" $i;
+ printf "IF_FEATURE_SH_EMBEDDED_SCRIPTS(APPLET_SCRIPTED(%s, scripted, BB_DIR_USR_BIN, BB_SUID_DROP, scripted))\n" $i;
done
fi
}